function state = Assign_SLP_figure(options,state,flag,DataStruct)
% ASSIGN_SLP_figure Plot heatmap of current GA population

if state.LastImprovement
    [~,I] = min(state.Score);
    bestAssign = state.Population{I};
    M = zeros(DataStruct.number_measurements);

    for j = 1:size(state.Population,1)
        current = state.Population{j};

        for i=1:DataStruct.number_measurements
            if bestAssign(i)==999
                bestAssign(i)=0;
            end
            
            M(current(i),i) = M(current(i),i) + 1;
        end
    end

    heatmap(DataStruct.residues,(1:DataStruct.number_measurements),M);
    xlabel('residue from coordinate file');
    ylabel('peak');
    titleStr = sprintf('Generation %d, Best Score: %.3f',state.Generation,min(state.Score));
    title(titleStr);
end

end
